org.apache.commons.math.linear

## Class MatrixVisitorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math.MathRuntimeException
        - - org.apache.commons.math.linear.MatrixVisitorException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MatrixVisitorException
    extends MathRuntimeException

Thrown when a visitor encounters an error while processing a matrix entry.

Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`MatrixVisitorException(Localizable pattern, Object[] arguments)` Constructs a new instance with specified formatted detail message.
`MatrixVisitorException(String pattern, Object[] arguments)` Constructs a new instance with specified formatted detail message.

### Method Summary

### Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArithmeticException, createArrayIndexOutOfBoundsException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createConcurrentModificationException, createEOFException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNoSuchElementException, createNullPointerException, createNullPointerException, createParseException, createParseException, createUnsupportedOperationException, getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### MatrixVisitorException

    public MatrixVisitorException(String pattern,
                          Object[] arguments)

Constructs a new instance with specified formatted detail message.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments

#### MatrixVisitorException

    public MatrixVisitorException(Localizable pattern,
                          Object[] arguments)

Constructs a new instance with specified formatted detail message.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  2.2